<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.6.0.final using JasperReports Library version 6.6.0  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="Sales_ByItemDetail" pageWidth="595" pageHeight="842" columnWidth="561" leftMargin="17" rightMargin="17" topMargin="28" bottomMargin="20" uuid="56493b21-fd3c-44de-ba6b-f0115024d821">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="DutaJayaDataAdapter.xml"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="toko" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Koperasi karyawan Siloam Hospitals Surabaya"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Jl. Raya Gubeng 70"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["031-503 1333"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal1" class="java.lang.String">
		<defaultValueExpression><![CDATA["2009-07-28"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal2" class="java.lang.String">
		<defaultValueExpression><![CDATA["2009-08-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="idKategori" class="java.lang.Integer">
		<defaultValueExpression><![CDATA[0]]></defaultValueExpression>
	</parameter>
	<parameter name="kategori" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="idItem" class="java.lang.Integer">
		<defaultValueExpression><![CDATA[0]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[select coalesce(ik.nama_kategori,'') kategori, d.id_barang, coalesce(item.plu,'') as kode_item, item.nama_barang as nama_item,  
i.invoice_no, i.invoice_date, coalesce(d.qty,0) as qty,  
coalesce(s.satuan,'') as satuan,
((d.qty*(coalesce(d.unit_price,0)-case when isnumeric(d.disc) then d.disc::numeric else 0 end))*(1+coalesce(d.ppn,0)/100)+coalesce(d.biaya,0)) as total, 
(coalesce(d.biaya_item,0)*coalesce(d.qty,0)) as biaya_item,
coalesce(ty.keterangan, '')||'  ke ['||coalesce(r.nama_relasi,'')||']' as keterangan
from ar_inv_det d 
join ar_inv i on i.id=d.ar_id
join m_item item on item.id=d.id_barang
left join m_item_kategori ik on ik.id=item.id_kategori
left join m_satuan s on s.id=item.id_satuan
left join m_trx_type ty on ty.kode=i.trx_type
left join m_relasi r on r.id_relasi=i.id_customer
where i.invoice_date between $P{tanggal1}::date and $P{tanggal2}::date
and (coalesce($P{idKategori}, 0)=0 or item.id_kategori=$P{idKategori})
and (coalesce($P{idItem}, 0)=0 or item.id=$P{idItem})
order by coalesce(ik.nama_kategori,''),  item.nama_barang , i.invoice_date, i.invoice_no]]>
	</queryString>
	<field name="kategori" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="kategori"/>
	</field>
	<field name="id_barang" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="id_barang"/>
	</field>
	<field name="kode_item" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="kode_item"/>
	</field>
	<field name="nama_item" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_item"/>
	</field>
	<field name="invoice_no" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="invoice_no"/>
	</field>
	<field name="invoice_date" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="invoice_date"/>
	</field>
	<field name="qty" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="qty"/>
	</field>
	<field name="satuan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="satuan"/>
	</field>
	<field name="total" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="total"/>
	</field>
	<field name="biaya_item" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="biaya_item"/>
	</field>
	<field name="keterangan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="keterangan"/>
	</field>
	<variable name="grand_total" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{total}]]></variableExpression>
	</variable>
	<variable name="nomer" class="java.lang.Integer" resetType="Group" resetGroup="item" calculation="Count">
		<variableExpression><![CDATA[$F{kode_item}]]></variableExpression>
	</variable>
	<variable name="subTotal" class="java.lang.Double" resetType="Group" resetGroup="item" calculation="Sum">
		<variableExpression><![CDATA[$F{total}]]></variableExpression>
	</variable>
	<variable name="subQty" class="java.lang.Double" resetType="Group" resetGroup="item" calculation="Sum">
		<variableExpression><![CDATA[$F{qty}]]></variableExpression>
	</variable>
	<group name="item">
		<groupExpression><![CDATA[$F{kode_item}]]></groupExpression>
		<groupHeader>
			<band height="13" splitType="Stretch">
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
					<reportElement key="textField-13" stretchType="RelativeToBandHeight" isPrintRepeatedValues="false" x="0" y="0" width="346" height="13" isPrintWhenDetailOverflows="true" uuid="22d92892-5989-489b-ba83-3f7d75d2a4dd"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement>
						<font fontName="SansSerif" size="9" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{nama_item}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="22" splitType="Stretch">
				<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="true">
					<reportElement key="textField-17" stretchType="RelativeToBandHeight" x="467" y="0" width="94" height="17" isPrintWhenDetailOverflows="true" uuid="da0be8be-d56f-47bc-a9de-6b3b2a73cf4d"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="1.5" lineStyle="Double" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.5" lineStyle="Double" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="SansSerif" size="9" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{subTotal}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0.00" isBlankWhenNull="true">
					<reportElement key="textField-17" stretchType="RelativeToBandHeight" x="370" y="0" width="97" height="17" isPrintWhenDetailOverflows="true" uuid="414fc31b-2436-4d18-8827-34a0d575901b"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="1.5" lineStyle="Double" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.5" lineStyle="Double" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="SansSerif" size="9" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{subQty}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true">
					<reportElement key="textField-17" stretchType="RelativeToBandHeight" x="1" y="0" width="369" height="17" isPrintWhenDetailOverflows="true" uuid="21d62494-d163-4e23-8a53-9e9398c5f531"/>
					<box leftPadding="2" rightPadding="2">
						<topPen lineWidth="1.5" lineStyle="Double" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="1.5" lineStyle="Double" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="SansSerif" size="9" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA["Total " + ($F{nama_item}==null? "":  $F{nama_item})]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="73" splitType="Stretch">
			<staticText>
				<reportElement key="staticText" x="172" y="0" width="389" height="26" uuid="cf076824-654e-4aad-8f3b-9766b828a9ee"/>
				<box topPadding="2" leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="SansSerif" size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[Rincian Penjualan per Item]]></text>
			</staticText>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-1" x="0" y="44" width="561" height="29" uuid="9deb7a59-c04f-4857-958a-6aa460ffba9f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" isUnderline="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Tanggal : " +$P{tanggal1}.substring(8,10)+ $P{tanggal1}.substring(4,7)+'-'+$P{tanggal1}.substring(0,4)+" S/d "+$P{tanggal2}.substring(8,10)+ $P{tanggal2}.substring(4,7)+'-'+$P{tanggal2}.substring(0,4)
+"\n "+($P{kategori}.equalsIgnoreCase( "" )  ?"Semua Kategori Barang": $P{kategori})]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-2" x="1" y="0" width="171" height="13" uuid="c7216e4e-7d7d-4e75-a1b1-3769d3bb64d8"/>
				<box topPadding="1" leftPadding="2" rightPadding="2"/>
				<textElement>
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{toko}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-3" x="0" y="13" width="172" height="13" uuid="ca57ef29-0a54-4935-84b3-7f91cade3fdf"/>
				<box topPadding="1" leftPadding="2" rightPadding="2"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{alamat}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-4" x="0" y="26" width="172" height="13" uuid="963d10f5-eb8b-496b-b5f7-4fee39f4ee12"/>
				<box topPadding="1" leftPadding="2" rightPadding="2"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{telp}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="20" splitType="Stretch">
			<staticText>
				<reportElement key="element-90" x="200" y="0" width="170" height="20" forecolor="#000000" uuid="fa9ece15-1679-42a2-876c-8464fb6e1a36"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Keterangan]]></text>
			</staticText>
			<staticText>
				<reportElement key="element-90" x="467" y="0" width="94" height="20" forecolor="#000000" uuid="ba020650-14e0-4a94-b533-d354649cda65"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Total]]></text>
			</staticText>
			<staticText>
				<reportElement key="element-92" x="0" y="0" width="33" height="20" forecolor="#000000" uuid="c33a81f6-f421-4130-aa97-cbeb8729a76b"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[No]]></text>
			</staticText>
			<staticText>
				<reportElement key="element-93" x="33" y="0" width="102" height="20" forecolor="#000000" uuid="0dfe5ad6-b73f-4521-beab-0f903f1880a3"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[No. Transaksi]]></text>
			</staticText>
			<staticText>
				<reportElement key="element-94" x="135" y="0" width="65" height="20" forecolor="#000000" uuid="4a2d84f4-84e0-4c68-978b-d94b281e8cd4"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Tanggal]]></text>
			</staticText>
			<staticText>
				<reportElement key="element-95" x="420" y="0" width="47" height="20" forecolor="#000000" uuid="62d7d049-411e-4a9e-b5c7-16388449beea"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Qty]]></text>
			</staticText>
			<staticText>
				<reportElement key="element-96" x="370" y="0" width="50" height="20" forecolor="#000000" uuid="5eb1bdf5-8a82-48c4-b9f4-7a44c817919e"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Satuan]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="13" splitType="Stretch">
			<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="true">
				<reportElement key="textField" stretchType="RelativeToBandHeight" x="467" y="0" width="94" height="13" isPrintWhenDetailOverflows="true" uuid="c1f3de0f-c14a-4d08-9732-6536da110dc8"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.25" lineColor="#999999"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{total}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false">
				<reportElement key="textField-6" stretchType="RelativeToBandHeight" x="200" y="0" width="170" height="13" isPrintWhenDetailOverflows="true" uuid="18331660-51ac-40e6-b8d1-9f52620ed908"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.25" lineColor="#999999"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{keterangan}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="true">
				<reportElement key="textField-11" stretchType="RelativeToBandHeight" x="0" y="0" width="33" height="13" isPrintWhenDetailOverflows="true" uuid="afc12183-ec22-4513-913e-546136138cfe"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.25" lineColor="#999999"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{nomer}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="textField-12" stretchType="RelativeToBandHeight" x="33" y="0" width="102" height="13" isPrintWhenDetailOverflows="true" uuid="55fec4aa-e9fa-437d-bde1-bcb603d0a176"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.25" lineColor="#999999"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{invoice_no}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="dd/MM/yyyy" isBlankWhenNull="true">
				<reportElement key="textField-14" stretchType="RelativeToBandHeight" x="135" y="0" width="65" height="13" isPrintWhenDetailOverflows="true" uuid="62a528d5-a6fb-43b1-a4ae-727f675fdb95"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.25" lineColor="#999999"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{invoice_date}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00" isBlankWhenNull="false">
				<reportElement key="textField-15" stretchType="RelativeToBandHeight" x="420" y="0" width="47" height="13" isPrintWhenDetailOverflows="true" uuid="29e7a9eb-c07c-4790-a6bc-60537ab1a28e"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.25" lineColor="#999999"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qty}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="textField-16" stretchType="RelativeToBandHeight" x="370" y="0" width="50" height="13" isPrintWhenDetailOverflows="true" uuid="e723e7bd-4119-40cb-817c-75366cc879ca"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.25" lineColor="#999999"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{satuan}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="21" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="textField" x="370" y="0" width="97" height="19" uuid="64e0db12-981f-4716-8f5d-e8bbf6886380"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA["Page " + $V{PAGE_NUMBER} + " of "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="textField" x="467" y="1" width="94" height="19" forecolor="#000000" backcolor="#FFFFFF" uuid="4cdf1ba6-867a-4f3a-8e35-374bc9623836"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="SansSerif" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="CP1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["" + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement key="line" x="0" y="1" width="561" height="1" forecolor="#000000" uuid="6508eefd-30f3-4b94-87cc-0294bd3c8bd0"/>
				<graphicElement>
					<pen lineWidth="2.0" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="textField" x="1" y="2" width="106" height="19" uuid="81fa21f6-9990-4c19-86d1-1d67593b36a8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="SansSerif" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[new Date()]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="25" splitType="Stretch">
			<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="true">
				<reportElement key="textField-9" stretchType="RelativeToBandHeight" x="467" y="0" width="94" height="16" isPrintWhenDetailOverflows="true" uuid="fcee5292-3a23-486a-a78c-c622e22c5f18"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{grand_total}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="textField-10" stretchType="RelativeToBandHeight" x="0" y="0" width="467" height="16" isPrintWhenDetailOverflows="true" uuid="16f6588d-7474-4833-b7bf-13a8ad85a996"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["GRAND TOTAL : "]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
